project(QtCoap)
set(QtCoap_SRC
${QtCoap_GEN_DIR}/qtcoap_wrapper.cpp
${QtCoap_GEN_DIR}/qcoapclient_wrapper.cpp
${QtCoap_GEN_DIR}/qcoapmessage_wrapper.cpp
${QtCoap_GEN_DIR}/qcoapoption_wrapper.cpp
${QtCoap_GEN_DIR}/qcoapprivatekey_wrapper.cpp
${QtCoap_GEN_DIR}/qcoapreply_wrapper.cpp
${QtCoap_GEN_DIR}/qcoaprequest_wrapper.cpp
${QtCoap_GEN_DIR}/qcoapresource_wrapper.cpp
${QtCoap_GEN_DIR}/qcoapresourcediscoveryreply_wrapper.cpp
${QtCoap_GEN_DIR}/qcoapsecurityconfiguration_wrapper.cpp
# module is always needed
${QtCoap_GEN_DIR}/qtcoap_module_wrapper.cpp
)
set(QtCoap_include_dirs ${QtCoap_SOURCE_DIR}
                        ${QtCoap_BINARY_DIR}
                        ${Qt${QT_MAJOR_VERSION}Coap_INCLUDE_DIRS}
                        ${Qt${QT_MAJOR_VERSION}Core_INCLUDE_DIRS}
                        ${Qt${QT_MAJOR_VERSION}Network_INCLUDE_DIRS}
                        ${QtCore_GEN_DIR}
                        ${QtNetwork_GEN_DIR}
                        ${libpyside_SOURCE_DIR})
set(QtCoap_libraries pyside6
                        ${Qt${QT_MAJOR_VERSION}Coap_LIBRARIES}
                        ${Qt${QT_MAJOR_VERSION}Network_LIBRARIES}
                        ${Qt${QT_MAJOR_VERSION}Core_LIBRARIES})
set(QtCoap_deps QtCore QtNetwork)
create_pyside_module(NAME QtCoap
                     INCLUDE_DIRS QtCoap_include_dirs
                     LIBRARIES QtCoap_libraries
                     DEPS QtCoap_deps
                     TYPESYSTEM_PATH QtCoap_SOURCE_DIR
                     SOURCES QtCoap_SRC)
